namespace StudySystemClient {
	public struct Activity {
		public string subject;
		public ActivityType type;
		public double priority;
	}

	public enum ActivityType {
		READING = 0,
		EXERCISES = 1,

		COUNT;

		public string to_string() {
			switch (this) {
			case EXERCISES:
				return "Exercises";
			case READING:
				return "Reading";
			default:
				return "Invalid activity type";
			}
		}
	}
}
